System.Design 1.0.5000.0 2.0.0.0 System.Windows.Forms.ScrollableControl System.ComponentModel.IExtenderProvider System.ComponentModel.ProvideProperty("Location", typeof(System.ComponentModel.IComponent)) System.ComponentModel.ToolboxItem(false) System.ComponentModel.DesignTimeVisible(false)

The component tray represents components that do not otherwise provide a visible surface at design time and provides a way for users to access and set the properties of those components.

Some types of components, such as a , may not have a user interface that can be viewed at design time. These components are usually represented by icons that are shown in the component tray.

The component tray is a rectangular region displayed at the bottom of the design view window while in design view mode, once it is active. The component tray becomes active in design view after a component that is displayed in the component tray has been added to or is part of the current document.

Provides behavior for the component tray of a designer.

- Constructor

  The component tray monitors component additions and removals and displays appropriate user interface objects to represent the components it contains.

  Initializes a new instance of the class using the specified designer and service provider.

  The that is the main or document designer for the current project.
  An that can be used to obtain design-time services.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Adds a component to the tray.

  The to add to the tray. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the tray items are automatically aligned.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added.

  Gets a value indicating whether the specified tool can be used to create a new component.

  true if the specified tool can be used to create a component; otherwise, false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  This method tests the specified component for the existence of a , which indicates whether the component has a user interface that can be displayed.

  Gets a value indicating whether the specified component can be displayed.

  true if the component can be displayed; otherwise, false.

  The to test. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of components contained in the tray.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method checks the item for an appropriate before attempting to create the component and add it to the component tray.

  Creates a component from the specified toolbox item, adds the component to the current document, and displays a representation for the component in the component tray.

  The to create a component from. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Displays an error message to the user with information about the specified exception.

  The exception about which to display information. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Point ``

  is an accessor method for the location extender property that is added to each component in the component tray.

  Gets the location of the specified component, relative to the upper-left corner of the component tray.

  A indicating the coordinates of the specified component, or an empty if the specified component could not be found in the component tray. An empty has an property equal to true and typically has and properties that are each equal to zero.

  The to retrieve the location of. 1.0.5000.0 2.0.0.0 System.ComponentModel.Localizable(false) System.ComponentModel.DesignOnly(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Category("Layout") System.ComponentModel.Browsable(false)
- Method
  2.0.0.0
  System.ComponentModel.IComponent `` `` To be added.

  Similar to , this method returns the next component in the tray, given a starting component.

  The next component in the component tray, or null, if the end of the list is encountered (or the beginning, if is false).

  The component from which to start enumerating. true to enumerate forward through the list; otherwise, false to enumerate backward.
- Method
  System.Object `` To be added. To be added.

  Gets the requested service type.

  An instance of the requested service, or null if the service could not be found.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.ComponentModel.Localizable(false)
  System.ComponentModel.DesignOnly(true)
  System.ComponentModel.Category("Layout")
  System.ComponentModel.Browsable(false)
  System.Drawing.Point ``

  The Location extender property is offered to all non-visual components. The returned value takes into account the value of . If does not have a component view, the returned value is an empty .

  Gets the value of the Location extender property.

  A representing the location of .

  The that receives the location extender property.
- Method
  2.0.0.0
  System.Boolean `` To be added.

  Tests a component for presence in the component tray.

  true if is being shown on the tray; otherwise, false.

  The component to test for presence in the component tray.
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Void `` To be added.

  Called when an object that has been dragged is dropped on the component tray.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called when an object is dragged over, and has entered the area over, the component tray.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called when an object is dragged out of the area over the component tray.

  An that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called when an object is dragged over the component tray.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called during an OLE drag and drop operation to provide an opportunity for the component tray to give feedback to the user about the results of dropping the object at a specific point.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Raises the event.

  A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Called when a mouse drag selection operation is canceled.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Called when the mouse is double clicked over the component tray.

  An that provides data for the event.
- Method
  System.Void `` To be added.

  Called when the mouse button is pressed.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called when the mouse cursor position has changed.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called when the mouse button has been released.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called when the view for the component tray should be refreshed.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Called to set the mouse cursor.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified component from the tray.

  The to remove from the tray. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets the location of the specified component to the specified location.

  The to set the location of. A indicating the new location for the specified component. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  The Location extender property is offered to all non-visual components. The actual value takes into account the value of .

  Sets the value of the Location extender property.

  The that receives the location extender property. A representing the location of .
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the tray displays a large icon to represent each component in the tray.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if this object can provide extender properties to the specified object; otherwise, false.

  The to receive the extender properties.
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0